# POST /v4/internal/payload/gnosis/async

_Merkl API_

Start async analysis of campaigns from a Safe file. Returns a job ID immediately. Use GET /payload/jobs/:jobId to check status and retrieve results.

## Request body

**`application/json`**
```json
{
  "additionalProperties": true,
  "type": "object",
  "properties": {
    "chainId": {
      "description": "Chain ID where the campaign is deployed",
      "type": "string"
    },
    "transactions": {
      "additionalProperties": true,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "contractInputsValues": {
            "nullable": true,
            "anyOf": [
              {
                "additionalProperties": true,
                "type": "object",
                "properties": {
                  "newCampaign": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "null"
              }
            ]
          }
        }
      }
    }
  },
  "required": [
    "chainId",
    "transactions"
  ]
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "additionalProperties": true,
  "type": "object",
  "properties": {
    "chainId": {
      "description": "Chain ID where the campaign is deployed",
      "type": "string"
    },
    "transactions": {
      "additionalProperties": true,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "contractInputsValues": {
            "nullable": true,
            "anyOf": [
              {
                "additionalProperties": true,
                "type": "object",
                "properties": {
                  "newCampaign": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "null"
              }
            ]
          }
        }
      }
    }
  },
  "required": [
    "chainId",
    "transactions"
  ]
}
```
**`multipart/form-data`**
```json
{
  "additionalProperties": true,
  "type": "object",
  "properties": {
    "chainId": {
      "description": "Chain ID where the campaign is deployed",
      "type": "string"
    },
    "transactions": {
      "additionalProperties": true,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "contractInputsValues": {
            "nullable": true,
            "anyOf": [
              {
                "additionalProperties": true,
                "type": "object",
                "properties": {
                  "newCampaign": {
                    "type": "string"
                  }
                }
              },
              {
                "type": "null"
              }
            ]
          }
        }
      }
    }
  },
  "required": [
    "chainId",
    "transactions"
  ]
}
```

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X POST "https://api.merkl.xyz//v4/internal/payload/gnosis/async" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```